XAMPP 1.8.0 naprawić phpmyadmin po uaktualnieniu

Kilka dni temu wyszedł XAMPP 1.8.0 wczoraj po aktualizacji z wersji 1.7.7 mam dość ciekawy problem. Phpmyadmin-nie otworzyły się, a ja potoczył się z 403

Dostęp zabroniony!


Nowa koncepcja bezpieczeństwa XAMPP:

Dostęp do żądanego obiektu jest tylko dostępna z sieci lokalnej.

To ustawienie można skonfigurować w pliku “httpd-xampp.konf”.

Natychmiast otworzyłem httpd-xampp.conf który u mnie jest w /opt/lampp/etc/extra/, na pierwszy rzut oka wszystko wygląda normalnie.. Zasady dla sieci lokalnej były w porządku. Wraz z otwarciem lokalnego. WTF ??? Spojrzał log-a patrzę że mój dostęp został odcięty od конфигуацията. Teraz wszystko mnie ахнаха i, szczerze mówiąc, trochę szczęścia, odkryłem problem. Po przejściu przez httpd. conf i zobaczył w klauzul uznawać/zaprzeczyć jeden ostatni wiersz Wymagają wszystkie przyznane. Temat eureka!. To nowy mechanizm kontroli, który wchodzi w Apache 2.4.x. Z nim nie daje dostęp lub zrzeczenia się tego potrzebny, w zasadzie naśladują Włącz/Wyłącz funkcjonalności :). Aby rozwiązać problem, możemy dodać wymagają wszystkie udzielone w folderze / opt/lampp/phpmyadmin. Po zmianie u mnie wygląda tak

<Katalog “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limit
Zezwalaj na zamówienie,zakazać
Umożliwić ze wszystkich
Wymagają wszystkie przyznane
</Katalog>

 

Chociaż to prawda, można spróbować i inny dziki, na przykład, aby zmienić nazwę folderu phpmyadmin na coś innego i zrobić alias na nie. Ale to jest brzydkie i nie jest szczególnie znaczące 🙂

p.s Pytali mnie, dlaczego używam XAMPP, a nie czysta instalacja wszystkich komponentów, a ich mój Debian urodził się – odpowiedź jest naprawdę bardzo proste – LENISTWO. Mnie zbyt leniwy, aby napisać wiele poleceń, a następnie dostać konfovete itp.. Dość łatwo jest podjąć cały pakiet razarhiviraš i światła 😉

Wzmocnione przez Zemanta

Zostaw odpowiedź

Twoj adres e-mail nie bedzie opublikowany. wymagane pola są zaznaczone *

anty spam *